### Signal

# Gio Settings::changed

#### Declaration

    void
    changed (
      GSettings* self,
      gchar* key,
      gpointer user_data
    )

#### Description [src]

Emitted when a key has potentially changed.

You should call one of the `g_settings_get()` calls to check the new value.

This signal supports detailed connections. You can connect to the detailed signal `changed::x` in order to only receive callbacks when key `x` changes.

Note that `settings` only emits this signal if you have read `key` at least once while a signal handler was already connected for `key`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`key`

  Type: `gchar*`

  The name of the key that changed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.